Subject: Re: bug#60210: 30.0.50; tab-bar height not recalculated when face changes

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 Jan 2023 20:22:56 +0200

> Date: Sun, 01 Jan 2023 17:56:36 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked]
> 
> The bug is that, in redisplay_tab_bar, WINDOW_PIXEL_HEIGHT (w) uses the 
> height of the default face, which is 39 pixels, whereas new_height, which 
> is computed with tab_bar_height, uses the font of the tab-bar face 
> (variable-pitch in emacs -Q).  On my system, new_height is (with a single 
> *scratch* tab) 36 pixels.  Therefore new_height < WINDOW_PIXEL_HEIGHT (w), 
> when in fact according to the logic of the code we should have new_height 
> == WINDOW_PIXEL_HEIGHT (w).

I'm not sure I understand how the above causes the tab bar not to be
displayed, or become empty.  AFAIU, it just means the frame's
change_tab_bar_height_hook will be called.  What did I miss?